## python-ldap 3.4.4

=== Makefile ===
PYTHON=python3
LCOV_INFO=build/lcov.info
LCOV_REPORT=build/lcov_report
LCOV_REPORT_OPTIONS=--show-details -no-branch-coverage \
	--title "python-ldap LCOV report"
SCAN_REPORT=build/scan_report
PYTHON_SUPP=/usr/share/doc/python3-devel/valgrind-python.supp


.NOTPARALLEL:

.PHONY: all
all:

Modules/constants_generated.h: Lib/ldap/constants.py
	$(PYTHON) $^ > $@
	indent Modules/constants_generated.h
	rm -f Modules/constants_generated.h~

.PHONY: clean
clean:
	rm -rf build dist *.egg-info .tox MANIFEST
	rm -f .coverage .coverage.*
	find . \( -name '*.py[co]' -or -name '*.so*' -or -name '*.dylib' \) \
	    -delete
	find . -depth -name __pycache__ -exec rm -rf {} \;

build:
	mkdir -p build

# LCOV report (measuring test coverage for C code)
.PHONY: lcov-clean lcov-coverage lcov-report lcov-open lcov
lcov-clean:
	rm -rf $(LCOV_INFO) $(LCOV_REPORT)
	if [ -d build ]; then find build -name '*.gc??' -delete; fi

lcov-coverage:
	WITH_GCOV=1 tox -e py36

$(LCOV_INFO): build
	lcov --capture --directory build --output-file $(LCOV_INFO)

$(LCOV_REPORT): $(LCOV_INFO)
	genhtml --output-directory $(LCOV_REPORT) \
		$(LCOV_REPORT_OPTIONS) $(LCOV_INFO)

lcov-report: $(LCOV_REPORT)

lcov-open: $(LCOV_REPORT)
	xdg-open $(LCOV_REPORT)/index.html

lcov: lcov-clean
	$(MAKE) lcov-coverage
	$(MAKE) lcov-report

# clang-analyzer for static C code analysis
.PHONY: scan-build
scan-build:
	scan-build -o $(SCAN_REPORT) --html-title="python-ldap scan report" \
		-analyze-headers --view \
		$(PYTHON) setup.py clean --all build

# valgrind memory checker
.PHONY: valgrind
$(PYTHON_SUPP):
	@ >&2 echo "valgrind-python.supp not found"
	@ >&2 echo "install Python development files and run:"
	@ >&2 echo "    $(MAKE) valgrind PYTHON_SUPP=/your/path/to/valgrind-python.supp"
	exit 1;

valgrind: build $(PYTHON_SUPP)
	valgrind \
	    --leak-check=full \
	    --track-fds=yes \
	    --suppressions=$(PYTHON_SUPP) \
	    --suppressions=Misc/python-ldap.supp \
	    --gen-suppressions=all \
	    --log-file=build/valgrind.log \
	    $(PYTHON) setup.py test

	@grep -A7 "blocks are definitely lost" build/valgrind.log; \
	if [ $$? == 0 ]; then \
	    echo "Found definitive leak, see build/valgrind.log"; \
	    exit 1; \
	fi

# Code autoformatter
.PHONY: autoformat indent black black-check
autoformat: indent black

indent:
	indent Modules/*.c Modules/*.h
	rm -f Modules/*.c~ Modules/*.h~

black:
	$(PYTHON) -m black $(CURDIR)

black-check:
	$(PYTHON) -m black $(CURDIR) --check

=== debian/changelog ===
python-ldap (3.4.4-2) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PyPi archive naming policy
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the new default
  * Bump Standards-Version: to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Oct 2025 13:52:20 +0200

python-ldap (3.4.4-1) unstable; urgency=low

  * New upstream version 3.4.4
  * Bump Standards-Version to 4.6.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 03 Dec 2023 10:34:54 +0000

=== debian/control ===
Source: python-ldap
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Willem van den Akker <wvdakker@wilsoft.nl>,
 Michael Fladischer <fladi@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libldap2-dev,
 libsasl2-dev,
 python3-all-dbg,
 python3-all-dev,
 python3-doc,
 python3-pyasn1-modules,
 python3-setuptools,
 python3-sphinx,
Homepage: https://www.python-ldap.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ldap
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ldap.git

Package: python-ldap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: LDAP interface module (Documentation)
 This module provides a Python3 interface to the OpenLDAP client library.
 .
 This package contains the documentation.

Package: python3-ldap
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 python3-pyldap,
 ${python3:Provides},
Replaces:
 python3-pyldap,
Suggests:
 python3-pyasn1,
Description: LDAP interface module for Python3
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).

Package: python3-pyldap
Section: oldlibs
Architecture: any
Depends:
 python3-ldap,
 ${misc:Depends},
Description: LDAP interface module for Python 3.x - transition package
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This transition dummy package for Python 3.x can be safely removed, since the
 ldap module has merged changes in the pyldap fork.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = ldap
export PYBUILD_DISABLE=test

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_strip:
	dh_strip -ppython3-ldap --dbgsym-migration='python3-ldap-dbg (<< 3.3.1-1~)'

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N Doc $(CURDIR)/debian/python-ldap-doc/usr/share/doc/python-ldap-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="uversionmangle=s/b/~b/;s/rc/~rc/" \
https://pypi.debian.net/python-ldap/python_ldap-([\d.]+.[\d+\w*\d*]*)\.tar\.gz

## python-ldap 3.4.5

=== debian/changelog ===
python-ldap (3.4.5-1) unstable; urgency=medium

  * New upstream version 3.4.5
  * Fixes sanitization bypass in ldap.filter.escape_filter_chars
    (CVE-2025-61911) (Closes: #1117858).
  * Fixes vulnerability to Improper Encoding or Escaping of Output and
    Improper Null Termination (CVE-2025-61912) (Closes: #1117859).
  * Build using pybuild-plugin-pyproject.
  * Drop python3-all-dbg from Build-Depends, unused.
  * Update information on availability of GNU GPL.
  * Use uscan version 5.
  * Use execute_before_ instead of override_ for running sphinxdoc.
  * Build using dh-sequence-sphinxdoc.
  * Drop python3-ldap-dbg.
  * Use \$(CURDIR) in d/rules.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jan 2026 09:11:29 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  libldap2-dev,
  libsasl2-dev,
- python3-all-dbg,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-doc,
  python3-pyasn1-modules,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=ldap
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -N $(CURDIR)/Doc $(CURDIR)/debian/python-ldap-doc/usr/share/doc/python-ldap-doc/html
endif

=== debian/tests/control ===
Tests:
 startserver,
 upstream,
Depends:
 ldap-utils,
 python3-all,
 slapd,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=5
opts="uversionmangle=s/b/~b/;s/rc/~rc/" \
https://pypi.debian.net/python-ldap/python_ldap-([\d.]+.[\d+\w*\d*]*)\.tar\.gz
